org.apache.storm.scheduler.resource.strategies.scheduling

## Class ConstraintSolverStrategy.SearcherState

- java.lang.Object
- - org.apache.storm.scheduler.resource.strategies.scheduling.ConstraintSolverStrategy.SearcherState

- Enclosing class:
    ConstraintSolverStrategy

      protected static class ConstraintSolverStrategy.SearcherState
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areAllExecsScheduled()`
    `boolean` | `areSearchLimitsExceeded()`
    `void` | `backtrack(Map<ExecutorDetails,String> execToComp, RAS_Node node, WorkerSlot workerSlot)`
    `ExecutorDetails` | `currentExec()`
    `int` | `getStatesSearched()`
    `void` | `incStatesSearched()`
    `ConstraintSolverStrategy.SearcherState` | `nextExecutor()`
    `void` | `tryToSchedule(Map<ExecutorDetails,String> execToComp, RAS_Node node, WorkerSlot workerSlot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### incStatesSearched

          public void incStatesSearched()

    - #### getStatesSearched

          public int getStatesSearched()

    - #### areSearchLimitsExceeded

          public boolean areSearchLimitsExceeded()

    - #### nextExecutor

          public ConstraintSolverStrategy.SearcherState nextExecutor()

    - #### areAllExecsScheduled

          public boolean areAllExecsScheduled()

    - #### currentExec

          public ExecutorDetails currentExec()

    - #### tryToSchedule

          public void tryToSchedule(Map<ExecutorDetails,String> execToComp,
                                    RAS_Node node,
                                    WorkerSlot workerSlot)

    - #### backtrack

          public void backtrack(Map<ExecutorDetails,String> execToComp,
                                RAS_Node node,
                                WorkerSlot workerSlot)

Copyright © 2019 The Apache Software Foundation. All rights reserved.